Bug 961456 - LibreOffice can't open document from a WedDav (dav/davs) share mounted by Nautilsu
LibreOffice can't open document from a WedDav (dav/davs) share mounted by Nau...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 12:31 EDT by Benjamin Kahn
Modified: 2015-04-15 02:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-15 02:14:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2013-05-09 12:31:19 EDT
Description of problem:
LibreOffice can't open document from a WedDav (dav/davs) share mounted by Nautilsu

Version-Release number of selected component (if applicable):
libreoffice-writer-3.6.6.2-5.fc18.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Mount a web dav server in nautilus
2. Find a LibreOffice document
3. double click on it to open the document
  
Actual results:
LibreOffice starts, but displays an error soon after: "General input/output error while accessing /run/user/500/gvfs/dav:host=mydavserver.com,ssl=true,prefix=%2Fwebdav/testdocument.odt."

Expected results:
File should open

Additional info:
caolan reports that this may be related to: https://bugzilla.redhat.com/show_bug.cgi?id=885156#c15 in that the davs URL is handled internally by LibreOffice.
Comment 1 Fedora End Of Life 2013-09-16 09:50:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Stephan Bergmann 2015-04-14 02:41:09 EDT
Can you still reproduce this?

The line

  X-GIO-NoFuse=true

in the various /usr/share/applications/libreoffice-*.desktop should prevent Nautilus from calling LO with a /run/user/500/gvfs/... pathname anyway (and should instead call it with a dav:... URL).
Comment 3 Benjamin Kahn 2015-04-14 13:53:38 EDT
It works on Fedora 21! Sweet!

Note You need to log in before you can comment on or make changes to this bug.